diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/group/imgcheck.mmp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/group/imgcheck.mmp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/group/imgcheck.mmp	2010-05-10 19:22:12.133117501 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/group/imgcheck.mmp	2010-05-08 17:31:00.000000000 +0100
@@ -25,17 +25,24 @@
 SOURCE		exceptionimplementation.cpp exceptionreporter.cpp
 SOURCE 		cmdlinewriter.cpp xmlwriter.cpp dbgflagchecker.cpp
 USERINCLUDE ../libimgutils/inc ../inc ../../imglib/compress
+#ifndef TOOLS2_LINUX
 USERINCLUDE   ../../imglib/boostlibrary
+#endif
 
 OS_LAYER_SYSTEMINCLUDE_SYMBIAN
+#ifndef TOOLS2_LINUX
 SYSTEMINCLUDE ../libxml ../ 
+#endif 
 
 SYSTEMINCLUDE ../../imglib/inc ../../romtools/rofsbuild
 
-STATICLIBRARY imgutils xml2 wsock32 stlport.5.1 patchdataprocessor
 #ifdef TOOLS2_LINUX
-STATICLIBRARY   boost_thread-mgw34-mt-1_39_linux
-OPTION    GCC -pthread -O2 -Wno-uninitialized
+STATICLIBRARY imgutils patchdataprocessor
+#else
+STATICLIBRARY imgutils xml2 wsock32 patchdataprocessor
+#endif
+#ifdef TOOLS2_LINUX
+OPTION    GCC -pthread -O2 -Wno-uninitialized -isystem /usr/include/libxml2 -lxml2 -lboost_thread-mt
 #else
 STATICLIBRARY   boost_thread-mgw34-mt-1_39_win32
 OPTION    GCC -mthreads -O2 -Wno-uninitialized
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/inc/cmdlinehandler.h /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/inc/cmdlinehandler.h
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/inc/cmdlinehandler.h	2010-05-10 19:22:13.089118113 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/inc/cmdlinehandler.h	2010-05-08 15:31:40.000000000 +0100
@@ -120,7 +120,7 @@
 @internalComponent
 @released
 */
-typedef enum Suppress
+enum Suppress
 {
     EDep = 0x1,
     ESid = 0x2,
@@ -136,7 +136,7 @@
 @internalComponent
 @released
 */
-typedef enum NumberOfValue
+enum NumberOfValue
 {
     ENone = 0x0,
     ESingle = 0x1,
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/inc/common.h /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/inc/common.h
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/inc/common.h	2010-05-10 19:22:13.089118113 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/inc/common.h	2010-05-08 15:30:02.000000000 +0100
@@ -86,7 +86,7 @@
 @internalComponent
 @released
 */
-typedef enum ReturnType
+enum ReturnType
 {
 	ESuccess = 0,
 	EQuit,
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/inc/exceptionimplementation.h /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/inc/exceptionimplementation.h
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/inc/exceptionimplementation.h	2010-05-10 19:22:13.089118113 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/inc/exceptionimplementation.h	2010-05-08 15:30:50.000000000 +0100
@@ -91,7 +91,7 @@
 struct Messages
 {
 	int iIndex;
-	char* iMessage;
+	char const * iMessage;
 };
 
 /**
@@ -110,7 +110,7 @@
 	void Report(const String aMsg);
 	
 private:
-	ofstream iLogStream;
+	Ofstream iLogStream;
 	IndexVsMessageMap iMessage;
 	unsigned int iMsgIndex;
 	static unsigned int iCmdFlag;
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/inc/xmlwriter.h /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/inc/xmlwriter.h
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/inc/xmlwriter.h	2010-05-10 19:22:13.093117295 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/inc/xmlwriter.h	2010-05-08 15:32:40.000000000 +0100
@@ -24,7 +24,12 @@
 #define XMLWRITER_H
 
 #include "reportwriter.h"
-#include "libxml/xmlwriter.h"
+#if defined(__LINUX__)
+	#include <libxml/xmlwriter.h>
+#endif
+#if defined(WIN32)
+	#include "libxml/xmlwriter.h"
+#endif
 #include "common.h"
 
 /**
@@ -107,7 +112,7 @@
 
 private:
 	// File stream for xml output.
-	ofstream iXmlFile;
+	Ofstream iXmlFile;
 	// Xml file name for output.
 	const String iXmlFileName;
 	// Xml Buffer pointer.
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/libimgutils/inc/typedefs.h /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/libimgutils/inc/typedefs.h
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/libimgutils/inc/typedefs.h	2010-05-10 19:22:13.093117295 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/libimgutils/inc/typedefs.h	2010-05-08 15:36:00.000000000 +0100
@@ -28,8 +28,8 @@
 
 #undef _L
 
-#include <fstream.h>
-#include <iostream.h>
+#include <fstream>
+#include <iostream>
 #include <list>
 #include <vector>
 #include <map>
@@ -53,10 +53,10 @@
 @internalComponent
 @released
 */
-typedef ios Ios;
+typedef std::ios Ios;
 typedef std::string String;
-typedef ofstream Ofstream;
-typedef ifstream Ifstream;
+typedef std::ofstream Ofstream;
+typedef std::ifstream Ifstream;
 typedef std::list<String> StringList;
 typedef std::map<unsigned int, String> UintVsString;
 typedef std::map<unsigned int, UintVsString> RomAddrVsExeName;
@@ -95,7 +95,7 @@
 @internalComponent
 @released
 */
-typedef enum EImageType
+enum EImageType
 {
 	EUnknownImage,
 	ERomImage,
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/libimgutils/src/dirreader.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/libimgutils/src/dirreader.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/libimgutils/src/dirreader.cpp	2010-05-10 19:22:13.097117523 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/libimgutils/src/dirreader.cpp	2010-05-08 15:34:42.000000000 +0100
@@ -119,9 +119,9 @@
 void DirReader::ProcessImage()
 {
 	char* cwd = new char[MAXPATHLEN];
-	getcwd(cwd,MAXPATHLEN);
+	char *cp = getcwd(cwd,MAXPATHLEN); (void)cp;
 	ReadDir(iImgFileName);
-	chdir(cwd);
+	int i = chdir(cwd); (void)i;
 	if(cwd != NULL)
 		delete [] cwd;
 	cwd = 0;
@@ -139,8 +139,11 @@
 */
 void DirReader::ReadDir(String aPath)
 {
+#ifndef __LINUX__
 	int handle;
 	int retVal = 0; 
+#endif
+ 
 	E32Image* e32Image = KNull;
 
 #ifdef __LINUX__
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/libimgutils/src/romreader.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/libimgutils/src/romreader.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/libimgutils/src/romreader.cpp	2010-05-10 19:22:13.097117523 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/libimgutils/src/romreader.cpp	2010-05-08 15:33:14.000000000 +0100
@@ -53,7 +53,7 @@
 RomReader::RomReader(const char* aFile, EImageType aImgType) 
 : ImageReader(aFile), iImageHeader(0), iData(0), iImgType(aImgType)
 {
-	iRomImageRootDirEntry = new RomImageDirEntry("");
+	iRomImageRootDirEntry = new RomImageDirEntry(const_cast<char *>(""));
 }
 
 /** 
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/src/cmdlinehandler.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/src/cmdlinehandler.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/src/cmdlinehandler.cpp	2010-05-10 19:22:13.137118346 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/src/cmdlinehandler.cpp	2010-05-08 15:21:44.000000000 +0100
@@ -25,6 +25,7 @@
 */
 
 #include "cmdlinehandler.h"
+#include <cstring>
 
 /**
 Constructor initializes the iOptionMap with short and long option names as key and
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/src/cmdlinewriter.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/src/cmdlinewriter.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/src/cmdlinewriter.cpp	2010-05-10 19:22:13.137118346 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/src/cmdlinewriter.cpp	2010-05-08 15:22:18.000000000 +0100
@@ -24,6 +24,7 @@
 */
 
 #include "cmdlinewriter.h"
+#include <cstring>
 
 /**
 Constructor: CmdLineWriter class
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/src/exceptionimplementation.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/src/exceptionimplementation.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/src/exceptionimplementation.cpp	2010-05-10 19:22:13.137118346 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/src/exceptionimplementation.cpp	2010-05-08 15:24:58.000000000 +0100
@@ -187,7 +187,7 @@
     
 	if(iCmdFlag & KVerbose)
 	{
-		cout << aMsg.c_str() << endl;
+		std::cout << aMsg.c_str() << std::endl;
 	}
 }
 
@@ -207,10 +207,10 @@
 	iLogStream <<  aMsg.c_str() << "\n";
 	if(aMsg.find("Success") != String::npos)
 	{
-		cout << aMsg.c_str() << endl;
+		std::cout << aMsg.c_str() << std::endl;
 	}
 	else
 	{
-		cerr << aMsg.c_str() << endl;
+		std::cerr << aMsg.c_str() << std::endl;
 	}
 }
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/src/sidchecker.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/src/sidchecker.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/src/sidchecker.cpp	2010-05-10 19:22:13.141117388 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/src/sidchecker.cpp	2010-05-08 15:24:08.000000000 +0100
@@ -249,8 +249,8 @@
 	{
 		exeAtt->iAttStatus = KNull;
 	}
-	if((iAllExecutables 
-		|| (exeAtt->iAttStatus == KDuplicate)) && !exeAtt->iAttStatus.empty() 
+	if(((iAllExecutables 
+		|| (exeAtt->iAttStatus == KDuplicate)) && !exeAtt->iAttStatus.empty())
 		|| iNoCheck)
 	{
 		aExeContainer->iExeAttList.push_back(exeAtt);
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/src/xmlwriter.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/src/xmlwriter.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imgcheck/src/xmlwriter.cpp	2010-05-10 19:22:13.141117388 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imgcheck/src/xmlwriter.cpp	2010-05-09 13:32:35.689287394 +0100
@@ -24,9 +24,10 @@
 */
 
 #include "xmlwriter.h"
+#include <cstring>
 
 #ifndef __LINUX__		
-	#include "/epoc32/gcc_mingw/include/windows.h"	
+    #include <windows.h>	
 #endif //__LINUX__
 
 /**
@@ -99,7 +100,7 @@
 	}
 	xslSourcePath.append(KXslFileName.c_str());
 
-	ifstream xslSourceHandle;
+	Ifstream xslSourceHandle;
 	xslSourceHandle.open(xslSourcePath.c_str(), Ios::binary);
 	if(!xslSourceHandle)
 	{
@@ -116,7 +117,7 @@
 	xslSourceHandle.read(filetocopy,fileSize);
 	xslSourceHandle.close();
 
-	ofstream xslDestHandle(xslDestPath.c_str(), Ios::binary | Ios::out);
+	Ofstream xslDestHandle(xslDestPath.c_str(), Ios::binary | Ios::out);
 	if(!xslDestHandle)
 	{
 		delete [] filetocopy;
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/boostlibrary/boost/thread/pthread/thread_data.hpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/boostlibrary/boost/thread/pthread/thread_data.hpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/boostlibrary/boost/thread/pthread/thread_data.hpp	2010-05-10 19:22:13.709117374 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/boostlibrary/boost/thread/pthread/thread_data.hpp	2010-05-09 13:34:57.929288271 +0100
@@ -8,7 +8,7 @@
 #include <boost/thread/detail/config.hpp>
 #include <boost/thread/exceptions.hpp>
 #include <boost/shared_ptr.hpp>
-#include <boost/enable_shared_from_this.hpp>
+#include <boost/smart_ptr/enable_shared_from_this.hpp>
 #include <boost/thread/mutex.hpp>
 #include <boost/optional.hpp>
 #include <pthread.h>
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/e32image/deflate/deflate.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/e32image/deflate/deflate.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/e32image/deflate/deflate.cpp	2010-05-10 19:22:13.757117537 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/e32image/deflate/deflate.cpp	2010-05-08 14:38:16.000000000 +0100
@@ -20,6 +20,7 @@
 #include "deflate.h"
 #include "h_utl.h"
 #include "panic.h"
+#define OFFSETOF(c,f) (((TInt)&(((c *)0x1000)->f))-0x1000)
 
 class HDeflateHash
 	{
@@ -89,7 +90,8 @@
 
 inline HDeflateHash* HDeflateHash::NewLC(TInt aLinks)
 	{
-	return new(HMem::Alloc(0,_FOFF(HDeflateHash,iOffset[Min(aLinks,KDeflateMaxDistance)]))) HDeflateHash;
+	return new(new char[OFFSETOF(HDeflateHash,iOffset[0]) + 
+		(sizeof(TOffset) * Min(aLinks,KDeflateMaxDistance))]) HDeflateHash;
 	}
 
 inline TInt HDeflateHash::Hash(const TUint8* aPtr)
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/e32image/deflate/panic.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/e32image/deflate/panic.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/e32image/deflate/panic.cpp	2010-05-10 19:22:13.761118115 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/e32image/deflate/panic.cpp	2010-05-08 14:37:24.000000000 +0100
@@ -21,7 +21,7 @@
 #include "h_utl.h"
 #include <stdlib.h>
 
-char* HuffmanError[]=	{
+char const * HuffmanError[]=	{
 						"Huffman: Too many codes\n",
 						"Huffman: Invalid coding\n",
 						"Huffman: Buffer overflow\n",
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/e32uid/uidcrc.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/e32uid/uidcrc.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/e32uid/uidcrc.cpp	2010-05-10 19:22:13.761118115 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/e32uid/uidcrc.cpp	2010-05-08 14:36:56.000000000 +0100
@@ -55,7 +55,7 @@
 
 	for (i=1; i<4; i++)
 		{
-		char* endptr = "failed";
+		char * endptr;
 		uids[i] = strtoul(argv[i],&endptr,0);
 		if (*endptr!='\0')
 			{
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/filesystem/source/cluster.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/filesystem/source/cluster.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/filesystem/source/cluster.cpp	2010-05-10 19:22:13.769118155 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/filesystem/source/cluster.cpp	2010-05-08 14:42:50.000000000 +0100
@@ -143,7 +143,9 @@
 {
 	if(iCurrentClusterNumber >= iTotalNumberOfClusters)
 	{
-    	throw ErrorHandler(IMAGESIZETOOBIG,"Occupied number of clusters count exceeded than available clusters",__FILE__,__LINE__);
+    	throw ErrorHandler(IMAGESIZETOOBIG,
+			const_cast<char *>("Occupied number of clusters count exceeded than available clusters"),
+			const_cast<char *>(__FILE__),__LINE__);
 	}
 	++iCurrentClusterNumber;
 }
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/filesystem/source/dirregion.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/filesystem/source/dirregion.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/filesystem/source/dirregion.cpp	2010-05-10 19:22:13.769118155 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/filesystem/source/dirregion.cpp	2010-05-08 14:47:44.000000000 +0100
@@ -49,7 +49,9 @@
 	iClusterPtr = CCluster::Instance(iClusterSize,totalClusters);
 	if(iClusterPtr == NULL)
 	{
-		throw ErrorHandler(CLUSTERERROR,"Instance creation error", __FILE__, __LINE__);
+		throw ErrorHandler(CLUSTERERROR,
+		const_cast<char *>("Instance creation error"),
+		const_cast<char *>( __FILE__), __LINE__);
 	}
 	iClusterSize = iClusterPtr->GetClusterSize();
 }
@@ -117,7 +119,8 @@
 	aOutPutStream.flush();
 	if(aOutPutStream.bad())
 	{
-		throw ErrorHandler(FILEWRITEERROR, __FILE__, __LINE__);
+		throw ErrorHandler(FILEWRITEERROR, const_cast<char *>(__FILE__), __LINE__);
+
 	}
 }
 
@@ -175,7 +178,7 @@
 	}
 	else
 	{
-		throw ErrorHandler(EMPTYFILENAME, __FILE__, __LINE__);
+		throw ErrorHandler(EMPTYFILENAME, const_cast<char *>(__FILE__), __LINE__);
 	}
 }
 
@@ -247,7 +250,7 @@
 	if(tempString.length() == 0)
 	{
 		tempString.erase();
-		throw ErrorHandler(EMPTYFILENAME, __FILE__, __LINE__);
+		throw ErrorHandler(EMPTYFILENAME, const_cast<char *>(__FILE__), __LINE__);
 	}
 	else
 	{
@@ -314,7 +317,8 @@
 	iInputStream.open(aEntry->GetFilePath().c_str(),Ios::binary);
 	if(iInputStream.fail() == true )
 	{
-		throw ErrorHandler(FILEOPENERROR,(char*)aEntry->GetFilePath().c_str(),__FILE__,__LINE__);
+		throw ErrorHandler(FILEOPENERROR,const_cast<char *>(aEntry->GetFilePath().c_str()),
+			const_cast<char *>(__FILE__),__LINE__);
 	}
 	else
 	{
@@ -324,7 +328,8 @@
 		char* dataBuffer = (char*)malloc((unsigned int)fileSize);
 		if(dataBuffer == 0)
 		{
-			throw ErrorHandler(MEMORYALLOCATIONERROR, __FILE__, __LINE__);
+			throw ErrorHandler(MEMORYALLOCATIONERROR,
+				const_cast<char *>(__FILE__), __LINE__);
 		}
 		//Read the whole file in one short
 		iInputStream.read (dataBuffer,fileSize);
@@ -332,7 +337,8 @@
 		Long64 bytesRead = (unsigned int)iInputStream.tellg();
 		if((iInputStream.bad()) || (bytesRead != fileSize))
 		{
-			throw ErrorHandler(FILEREADERROR,(char*)aEntry->GetFilePath().c_str(), __FILE__, __LINE__);
+			throw ErrorHandler(FILEREADERROR,const_cast<char *>(aEntry->GetFilePath().c_str()),
+				const_cast<char *>(__FILE__), __LINE__);
 		}
 		String clusterData(dataBuffer,(unsigned int)bytesRead);
 		PushStringIntoClusterMap(iClusterPtr->GetCurrentClusterNumber(),clusterData,iClusterSize,aEntry->GetEntryAttribute());
@@ -544,12 +550,12 @@
 		}
 		if(aNodeList.front()->GetEntryList()->size() <= 0)
 		{
-			throw ErrorHandler(NOENTRIESFOUND, __FILE__, __LINE__);
+			throw ErrorHandler(NOENTRIESFOUND, const_cast<char *>(__FILE__), __LINE__);
 		}
 	}
 	else
 	{
-		throw ErrorHandler(ROOTNOTFOUND, __FILE__, __LINE__);
+		throw ErrorHandler(ROOTNOTFOUND, const_cast<char *>(__FILE__), __LINE__);
 	}
 }
 
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/filesystem/source/errorhandler.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/filesystem/source/errorhandler.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/filesystem/source/errorhandler.cpp	2010-05-10 19:22:13.769118155 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/filesystem/source/errorhandler.cpp	2010-05-08 14:42:14.000000000 +0100
@@ -22,9 +22,10 @@
 
 #include "errorhandler.h"
 #include "messagehandler.h"
+#include <cstring>
 
-char *errMssgPrefix="FileSystem : Error:";
-char *Gspace=" ";
+char const *errMssgPrefix="FileSystem : Error:";
+char const *Gspace=" ";
 
 /**
 ErrorHandler constructor for doing common thing required for derived 
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/filesystem/source/fat16bootsector.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/filesystem/source/fat16bootsector.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/filesystem/source/fat16bootsector.cpp	2010-05-10 19:22:13.769118155 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/filesystem/source/fat16bootsector.cpp	2010-05-08 14:43:40.000000000 +0100
@@ -21,6 +21,7 @@
 */
 
 #include "fat16bootsector.h"
+#include <cstring>
 
 /**
 Constructor of the fat16 boot sector class
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/filesystem/source/fat16filesystem.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/filesystem/source/fat16filesystem.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/filesystem/source/fat16filesystem.cpp	2010-05-10 19:22:13.769118155 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/filesystem/source/fat16filesystem.cpp	2010-05-08 14:45:06.000000000 +0100
@@ -21,7 +21,7 @@
 */
 
 #include"fat16filesystem.h"
-
+#include <cstring>
 
 /**
 Initializes the boot sector of a FAT 16 volume
@@ -76,45 +76,45 @@
 	//copying of boot sector values in to the array
 	iData = new unsigned char[BytesPerSector];
 	unsigned int pos = 0;
-	memcpy(&iData[pos],JmpBoot,3);
+	memmove(&iData[pos],JmpBoot,3);
 	pos += 3;
-	memcpy(&iData[pos],OEMName,8);
+	memmove(&iData[pos],OEMName,8);
 	pos += 8;
-	memcpy(&iData[pos],&BytesPerSector,2);
+	memmove(&iData[pos],&BytesPerSector,2);
 	pos += 2;
-	memcpy(&iData[pos],&SectorsPerCluster,1);
+	memmove(&iData[pos],&SectorsPerCluster,1);
 	pos += 1;
-	memcpy(&iData[pos],&ReservedSectors,2);
+	memmove(&iData[pos],&ReservedSectors,2);
 	pos += 2;
-	memcpy(&iData[pos],&NumFats,1);
+	memmove(&iData[pos],&NumFats,1);
 	pos += 1;
-	memcpy(&iData[pos],&RootDirEntries,2);
+	memmove(&iData[pos],&RootDirEntries,2);
 	pos += 2;
-	memcpy(&iData[pos],&LowSectors,2);
+	memmove(&iData[pos],&LowSectors,2);
 	pos += 2;
-	memcpy(&iData[pos],&Media,1);
+	memmove(&iData[pos],&Media,1);
 	pos += 1;
-	memcpy(&iData[pos],&FatSectors,2);
+	memmove(&iData[pos],&FatSectors,2);
 	pos += 2;
-	memcpy(&iData[pos],&SectorPerTrack,2);
+	memmove(&iData[pos],&SectorPerTrack,2);
 	pos += 2;
-	memcpy(&iData[pos],&NumberOfHeads,2);
+	memmove(&iData[pos],&NumberOfHeads,2);
 	pos += 2;
-	memcpy(&iData[pos],&HiddenSectors,4);
+	memmove(&iData[pos],&HiddenSectors,4);
 	pos += 4;
-	memcpy(&iData[pos],&HighSectorsCount,4);
+	memmove(&iData[pos],&HighSectorsCount,4);
 	pos += 4;
-	memcpy(&iData[pos],&BootSectorDriveNumber,1);		
+	memmove(&iData[pos],&BootSectorDriveNumber,1);		
 	pos += 1;
-	memcpy(&iData[pos],&ReservedByte,1);
+	memmove(&iData[pos],&ReservedByte,1);
 	pos += 1;
-	memcpy(&iData[pos],&BootSignature,1);
+	memmove(&iData[pos],&BootSignature,1);
 	pos += 1;
-	memcpy(&iData[pos],&VolumeId,4);
+	memmove(&iData[pos],&VolumeId,4);
 	pos += 4;
-	memcpy(&iData[pos],VolumeLab,11);
+	memmove(&iData[pos],VolumeLab,11);
 	pos += 11;
-	memcpy(&iData[pos],FileSysType,8);
+	memmove(&iData[pos],FileSysType,8);
 	pos += 8;
 	while(pos < BytesPerSector)
 	{
@@ -133,7 +133,7 @@
 	ComputeClusterSizeInBytes();
 	ComputeRootDirSectors();
 	ComputeBytesPerSector();
-	MessageHandler::ReportMessage (INFORMATION,BOOTSECTORCREATEMSG, "FAT16");
+	MessageHandler::ReportMessage (INFORMATION,BOOTSECTORCREATEMSG, const_cast<char *>("FAT16"));
 }
 
 /**
@@ -145,7 +145,7 @@
 */
 void CFat16FileSystem::WriteBootSector(ofstream& aOutPutStream)
 {
-	MessageHandler::ReportMessage (INFORMATION,BOOTSECTORWRITEMSG,"FAT16");
+	MessageHandler::ReportMessage (INFORMATION,BOOTSECTORWRITEMSG,const_cast<char *>("FAT16"));
 	aOutPutStream.write(reinterpret_cast<char*>(&iData[0]),iFAT16BootSector.BytesPerSector());
 	aOutPutStream.flush();
 }
@@ -195,8 +195,8 @@
 		// Each FAT16 entries occupies 2 bytes, hence multiply by 2
 		aFatString.append((totalFatEntries - clusterCounter)*2, 0);
 	}
-	MessageHandler::ReportMessage (INFORMATION,FATTABLEWRITEMSG,
-								   "FAT16");
+
+	MessageHandler::ReportMessage (INFORMATION,FATTABLEWRITEMSG,const_cast<char *>("FAT16"));
 	
 	// Write FAT table multiple times depending upon the No of FATS set.
 	unsigned int noOfFats = iFAT16BootSector.NumberOfFats();
@@ -258,11 +258,15 @@
 	iTotalClusters = iTotalDataSectors / iFAT16BootSector.SectorsPerCluster();
 	if(iTotalClusters < KMinimumFat16Clusters)
 	{
-		throw ErrorHandler(BOOTSECTORERROR,"Low Partition Size",__FILE__,__LINE__);
+		throw ErrorHandler(BOOTSECTORERROR,
+			const_cast<char *>("Low Partition Size"),
+			const_cast<char *>(__FILE__),__LINE__);
 	}
 	if(iTotalClusters > KMaximumFat16Clusters)
 	{
-		throw ErrorHandler(BOOTSECTORERROR,"High Partition Size",__FILE__,__LINE__);
+		throw ErrorHandler(BOOTSECTORERROR,
+			const_cast<char *>("High Partition Size"),
+			const_cast<char *>(__FILE__),__LINE__);
 	}
 	
 }
@@ -313,6 +317,6 @@
 	catch(...)
 	{
 		delete dirRegionPtr;
-		throw ErrorHandler(UNKNOWNERROR, __FILE__, __LINE__);
+		throw ErrorHandler(UNKNOWNERROR, const_cast<char *>(__FILE__), __LINE__);
 	}
 }
diff -u -r -b -B -E -x '*.hg*' -x '*cross-plat-dev-utils*' -x '*baseline.txt' -x '*README' -x '*TODO' -x '*NEWS' -x '*.pyc' -x '*~' -x '*linux-unknown-libc2_11*' /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/filesystem/source/fat32bootsector.cpp /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/filesystem/source/fat32bootsector.cpp
--- /home/imk/symbian/epocroot-pdk-3.0.h/build_latest/build/imgtools/imglib/filesystem/source/fat32bootsector.cpp	2010-05-10 19:22:13.769118155 +0100
+++ /home/imk/symbian/epocroot-pdk-3.0.h/build/imgtools/imglib/filesystem/source/fat32bootsector.cpp	2010-05-08 14:48:14.000000000 +0100
@@ -21,6 +21,7 @@
 */
 
 #include "fat32bootsector.h"
+#include <cstring>
 
 /**
 Constructor of the fat16 boot sector class
